;
; mkdir.asm
;
; Written by
;  Kajtar Zsolt <soci@c64.rulez.org>
;
;; mkdir [directories]
;;
;;   Creates the named directories
;;
;    This file is part of the IDE64 shell utilities.
;    See README for copyright notice.
;
;    This program is free software; you can redistribute it and/or modify
;    it under the terms of the GNU General Public License as published by
;    the Free Software Foundation; either version 2 of the License, or
;    (at your option) any later version.
;
;    This program is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU General Public License for more details.
;
;    You should have received a copy of the GNU General Public License
;    along with this program; if not, write to the Free Software
;    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;

WILDEXP		= false

banner		= "mkdir 0.1 by soci/singular"

		.include "lib.asm"

		.section code
start2		.proc
		ldx #<arglist
		ldy #>arglist
		jsr parseargs
		lda #<arglist
		sta p1
		lda #>arglist
		sta p1+1

loop		ldy #0
		lda (p1),y
		beq _exit

		ldx p1
		ldy p1+1
		inx
		bne +
		iny
+		jsr kernal.setnam
		jsr addstring
		jsr onefile
		ldx kernal.stop
		cpx #$7f
		bne loop
_exit		jmp exit

onefile		lda #"m"
		sta cmd
		lda #"d"
		sta cmd+1
		lda #":"
		sta cmd+2
		ldx #3
		ldy kernal.filename_len
-		cpy #0
		beq nincs
		dey
		cmp (kernal.filename),y
		bne -
		dex
nincs		ldy #0
-		lda (kernal.filename),y
		sta cmd,x
		iny
		inx
		cpy kernal.filename_len
		blt -
		txa
		ldx #<cmd
		ldy #>cmd
		gne readerr

		.section bss
cmd		.fill 256
		.send bss
		.pend
		.send code

